<!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<!-- Linea 1 -->
<div class="card bg-ligth" *ngIf="factura!=null">
   <div class="card-header">{{titulo}}: {{factura.descripcion}}</div>
   <div class="card-body">
      <h4 class="card-title">
        <a [routerLink]="['/clientes']" class="btn btn-light btn-xs">&laquo; Volver</a>
      </h4>
      <ul class="list-group my-2">
         <li class="list-group-item list-group-item-primary"> Datos del cliente </li>
         <li class="list-group-item">{{factura.cliente.nombre}}</li>
         <li class="list-group-item">{{factura.cliente.apellido}}</li>
      </ul>
      <ul class="list-group my-2">
         <li class="list-group-item list-group-item-primary"> Datos de la Factura </li>
         <li class="list-group-item">Folio: {{factura.id}}</li>
         <li class="list-group-item">Descripcion: {{factura.descripcion}}</li>
         <li class="list-group-item">Fecha: {{factura.createAt}}</li>
      </ul>
      <table class="table table-striped table-hover table-bordered my-3">
         <thead>
           <tr>
             <th>Producto</th>
             <th>Precio</th>
             <th>Cantidad</th>
             <th>Total</th>
           </tr>
         </thead>
         <tbody>
            <tr *ngFor="let item of factura.items">
              <th>{{ item.producto.nombre }}</th>
              <th>{{ item.producto.precio }}</th>
              <th>{{ item.cantidad }}</th>
              <th>{{ item.importe }}</th>
            </tr>
         </tbody>
      </table>
      <h2 class="float-right">
         <span> Gran Total </span>:
         <span class="badge badge-secondary"> {{ factura.total }} </span>
      </h2>
      <div class="card border-info mb-4"  style="width: 700px;">
           <div class="card card-header">
              Observaciones
           </div>
           <div class="card card-body">
              <p *ngIf="!factura.observacion">No tiene observación</p>
              <p *ngIf="factura.observacion">{{ factura.observacion }}</p>
           </div>
      </div>
   </div>
</div>

<!-- Tarea 259 -->
  <!-- Linea 1: Creamos la estructura del detalle de la factura -->
